#!/bin/bash

QT_BASE_DIR=/opt/qt56
export QTDIR=$QT_BASE_DIR
export PATH=$QT_BASE_DIR/bin:$PATH

if [[ $(uname -m) == "x86_64" ]]; then
  export LD_LIBRARY_PATH=$QT_BASE_DIR/lib/x86_64-linux-gnu:$QT_BASE_DIR/lib:$LD_LIBRARY_PATH
else
  export LD_LIBRARY_PATH=$QT_BASE_DIR/lib/i386-linux-gnu:$QT_BASE_DIR/lib:$LD_LIBRARY_PATH
fi

APP_DIR=/usr/share/applications
DESKTOP_DIR="`xdg-user-dir DESKTOP`"
for d in $( find $APP_DIR -type f -name \*retailrotorgroup\* ); do
  cp -f "$d" "$DESKTOP_DIR"
done
find "$DESKTOP_DIR" -type f -name \*.desktop -exec chmod +x "{}" \;

if [ "$dist" == "trusty" ]; then
	start rerotord || true # 14.04
else
	systemctl --user start rerotord.service || true
fi
QSG_RENDER_LOOP=basic rescreensaver -f -g
